Bug Hunting Session
Bug 101374 - Added menu items via Customize... keep old language when switching UI language
Summary: Added menu items via Customize... keep old language when switching UI language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-07 19:43 UTC by Roman Kuznetsov
Modified: 2017-04-23 17:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
"Chart" keeps appearing in Hungarian if added in Hungarian UI before (37.70 KB, image/png)
2016-08-10 19:40 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2016-08-07 19:43:26 UTC
step to repro (i use Calc with RU locale for example):

1. open new calc document 
2. select Tools-Options-Language settings-Languages -> User Interface -> English. Press OK. Restart LO to changes take effect
3. select Tools-Customize -> tab Menus
4. Add to menu File (or any other) item Insert-Chart (or any other). Press OK
5. select Tools-Options-Language settings-Languages -> User Interface -> Russian. Press OK. Restart LO to changes take effect
6. Open menu File. New element that we added to in paragraph 4 not translated on Russian

If add new item to menu in RU GUI and change language to EN, then menu item translated correct.
Comment 1 Aron Budea 2016-08-10 17:45:12 UTC
Confirmed with v5.2.0.4 & v3.3.0/Windows 7.

As a general reproduction, add a menu item in any UI language, then change UI language to a different one. The newly added menu item remains in the first language.
Comment 2 Roman Kuznetsov 2016-08-10 19:13:02 UTC
(In reply to Aron Budea from comment #1)
> Confirmed with v5.2.0.4 & v3.3.0/Windows 7.
> 
> As a general reproduction, add a menu item in any UI language, then change
> UI language to a different one. The newly added menu item remains in the
> first language.

no, 

>If add new item to menu in RU GUI and change language to EN, then menu item translated correct.
Comment 3 Aron Budea 2016-08-10 19:40:27 UTC
Created attachment 126731 [details]
"Chart" keeps appearing in Hungarian if added in Hungarian UI before

That's interesting, indeed adding in Russian, and then changing UI language updates the translation. However, adding in Hungarian (Chart = Diagram in Hungarian), and switching back to English doesn't.

Reproduced with 5.2.0.4 snap / Ubuntu 15.10 as well in the meantime.
Comment 4 Commit Notification 2017-04-23 16:57:03 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc613febe3b90260cb3a553311b7b438fb93f073

tdf#101374 Don't confuse "Label" with "Name"

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxim Monastirsky 2017-04-23 17:05:41 UTC
This bug involves writing wrong customization data, so there is no way to fix existing user profiles. Don't reopen unless you can reproduce the bug with a clean profile.